<!DOCTYPE html>
<html>
<head>
<!-- Ohne charset läufts besser...
  <meta charset="utf-8">
-->  
  <title>katalog tree</title>
  <!-- 2 load the theme CSS file -->
  <link rel="stylesheet" href="dist/themes/default/style.min.css" />
</head>
<body>

<h2>Katalogdaten</h2>

<?php  
$mysqli = new mysqli("localhost", "analyst", "yla4Ana§", "katalog");
if ($mysqli->connect_errno) {
    echo "Failed to connect to MySQL: (" . $mysqli->connect_errno . ") " . $mysqli->connect_error;
}

$res = $mysqli->query("SELECT ebene, id, node_status, node, sum_subnodes FROM vkat_xml");
/*								where a = 'Ausbildung / Beruf' 
								or a = 'Accessoires'");
*/

/* Muster für die unsortierte HTML-Liste
  <div id="jstree">
    <!-- in this example the tree is populated from inline HTML -->
    <ul>
      <li>Root node 1
        <ul>
          <li id="child_node_1">Child node 1</li>
          <li>Child node 2</li>
          <li>Subroot
          	<ul>
          		<li>subChild 1</li>
          		<li>subChild 2</li>
          	</ul>
        </ul>
      </li>
      <li>Root node 2</li>
    </ul>
  </div>
*/


$begin = '<li>';
$beginroot = '<ul>';
$endroot = '</ul>';
$endchild = '</li>';

$numebene = array("A" => 1, 
						"B" => 2, 
						"C" => 3,
						"D" => 4,
						"E" => 5,
						"F" => 6,
						"G" => 7);
						
$lastrecord =  array("ebene" => 'A',
							"value" => 'leer',
							"sum_subnodes" => 0);

$subnodes = array("A" => 0, 
						"B" => 0, 
						"C" => 0,
						"D" => 0,
						"E" => 0,
						"F" => 0,
						"G" => 0);

// Datenblock initialisieren
echo '<div id="jstree"><ul>';
						
$res->data_seek(0); 
while ($row = $res->fetch_assoc()) {

/* Verarbeitung für Ebene A
*/
	if($row['ebene'] == 'A') {
		
		$sprung = $numebene['A'] - $lastrecord["ebene"];		

/* Der Vorgänger war aus B - G
*/
		if($sprung < 0) { 
			for ($i = $numebene['A']; $i < $lastrecord["ebene"]; $i++) {
				echo $endroot;		
			}
		}

/* Es gibt KinderKnoten
*/
		if($row[sum_subnodes] > 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $beginroot;
		}

/* Es gibt keine KinderKnoten
*/
		if($row[sum_subnodes] == 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;
		}

	$lastrecord["ebene"] = $numebene['A'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['A'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene A

/* Verarbeitung für Ebene B
*/
	if($row['ebene'] == 'B') {
		
		$subnodes["A"]--;
		$sprung = $numebene['B'] - $lastrecord["ebene"];		

/* Der Vorgänger war aus C - G
*/
		if($sprung < 0) { 
			for ($i = $numebene['B']; $i < $lastrecord["ebene"]; $i++) {
				echo $endroot;		
			}
		}

/* Es gibt KinderKnoten
*/
		if($row[sum_subnodes] > 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $beginroot;
		}

/* Es gibt keine KinderKnoten
*/
		if($row[sum_subnodes] == 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;
		}

	$lastrecord["ebene"] = $numebene['B'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['B'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene B
	
/* Verarbeitung für Ebene C
*/
	if($row['ebene'] == 'C') {
		
		$subnodes["A"]--;
		$subnodes["B"]--;
		$sprung = $numebene['C'] - $lastrecord["ebene"];		

/* Der Vorgänger war aus D - G
*/
		if($sprung < 0) { 
			for ($i = $numebene['C']; $i < $lastrecord["ebene"]; $i++) {
				echo $endroot;		
			}
		}

/* Es gibt KinderKnoten
*/
		if($row[sum_subnodes] > 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $beginroot;
		}

/* Es gibt keine KinderKnoten
*/
		if($row[sum_subnodes] == 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;
		}

	$lastrecord["ebene"] = $numebene['C'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['C'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene C
	
/* Verarbeitung für Ebene D
*/
	if($row['ebene'] == 'D') {
		
		$subnodes["A"]--;
		$subnodes["B"]--;
		$subnodes["C"]--;
		$sprung = $numebene['D'] - $lastrecord["ebene"];		

/* Der Vorgänger war aus E - G
*/
		if($sprung < 0) { 
			for ($i = $numebene['D']; $i < $lastrecord["ebene"]; $i++) {
				echo $endroot;		
			}
		}

/* Es gibt KinderKnoten
*/
		if($row[sum_subnodes] > 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $beginroot;
		}

/* Es gibt keine KinderKnoten
*/
		if($row[sum_subnodes] == 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;
		}

	$lastrecord["ebene"] = $numebene['D'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['D'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene D

/* Verarbeitung für Ebene E
*/
	if($row['ebene'] == 'E') {
		
		$subnodes["A"]--;
		$subnodes["B"]--;
		$subnodes["C"]--;
		$subnodes["D"]--;
		$sprung = $numebene['E'] - $lastrecord["ebene"];		

/* Der Vorgänger war aus F - G
*/
		if($sprung < 0) { 
			for ($i = $numebene['E']; $i < $lastrecord["ebene"]; $i++) {
				echo $endroot;		
			}
		}

/* Es gibt KinderKnoten
*/
		if($row[sum_subnodes] > 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $beginroot;
		}

/* Es gibt keine KinderKnoten
*/
		if($row[sum_subnodes] == 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;
		}

	$lastrecord["ebene"] = $numebene['E'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['E'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene E

/* Verarbeitung für Ebene F
*/
	if($row['ebene'] == 'F') {
		
		$subnodes["A"]--;
		$subnodes["B"]--;
		$subnodes["C"]--;
		$subnodes["D"]--;
		$subnodes["E"]--;
		$sprung = $numebene['F'] - $lastrecord["ebene"];		

/* Der Vorgänger war aus G
*/
		if($sprung < 0) { 
			for ($i = $numebene['F']; $i < $lastrecord["ebene"]; $i++) {
				echo $endroot;		
			}
		}

/* Es gibt KinderKnoten
*/
		if($row[sum_subnodes] > 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $beginroot;
		}

/* Es gibt keine KinderKnoten
*/
		if($row[sum_subnodes] == 1) { 
			echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;
		}

	$lastrecord["ebene"] = $numebene['F'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['F'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene F

/* Verarbeitung für Ebene G
*/
	if($row['ebene'] == 'G') {
		
		$subnodes["A"]--;
		$subnodes["B"]--;
		$subnodes["C"]--;
		$subnodes["D"]--;
		$subnodes["E"]--;
		$subnodes["F"]--;

		echo $begin . $row['node'] . ' (' . $row['sum_subnodes'] . ') ' . $endchild;

	$lastrecord["ebene"] = $numebene['G'];
	$lastrecord["value"] = $row['node'];
	$lastrecord["sum_subnodes"] = $row['sum_subnodes'];
	$subnodes['G'] = $row['sum_subnodes'];	
	
	}	// Ende Verarbeitung Ebene G

}	// Ende der Datenschleife					

// Datenblock beenden
echo '</ul></div>';

?>

  <!-- 4 include the jQuery library -->
  <script src="dist/libs/jquery.js"></script>
  <!-- 5 include the minified jstree source -->
  <script src="dist/jstree.min.js"></script>
  <script>
  $(function () {
    // 6 create an instance when the DOM is ready
    $('#jstree').jstree();
    // 7 bind to events triggered on the tree
    $('#jstree').on("changed.jstree", function (e, data) {
      console.log(data.selected);
    });
    // 8 interact with the tree - either way is OK
    $('button').on('click', function () {
      $('#jstree').jstree(true).select_node('child_node_1');
      $('#jstree').jstree('select_node', 'child_node_1');
      $.jstree.reference('#jstree').select_node('child_node_1');
    });
  });
  </script>
</body>
</html>
